import request from '@/assets/js/utils/request'
/*
* hn 对接接口
* */
// 招标方案退回
export function bidSchemeReturn(data) {
  return request({
    url: '/bidprocurement/datacenter-huanengwuzids/huanengwuzids-purchase/purchase/bidSchemeReturn',
    method: 'post',
    data
  })
}
// 推送资格预审结果
export function pushPrequalification(stageId, packId) {
  return request({
    url: '/bidprocurement/datacenter-huanengwuzids/huanengwuzids-purchase/purchase/pushPrequalification' + '?stageId=' + stageId + '&packId=' + packId,
    method: 'post'
  })
}
// 评标报告
export function bidEvaluationReport(stageId) {
  return request({
    url: '/bidprocurement/datacenter-huanengwuzids/huanengwuzids-purchase/purchase/bidEvaluationReport' + '?stageId=' + stageId,
    method: 'post'
  })
}
// 获取推送物资记录
export function getPushWuziLogInfo(packId, pushType) {
  return request({
    url: '/bidprocurement/datacenter-huanengwuzids/huanengwuzids-purchase/purchase/getPushWuziLogInfo?packId=' + packId + '&pushType=' + pushType,
    method: 'post'
  })
}
/*
* hn 项目驱动-招标失败
* */
// 项目驱动-变更公告-招标失败列表
export function biddingFailPages(data) {
  return request({
    url: '/bidprocurement/datacenter-huanengwuzids/huanengwuzids-purchase/datacHuangzidsBiddingFailHnController/biddingFailPages',
    method: 'post',
    data
  })
}
// 项目驱动-变更公告-新增招标失败
export function pushBiddingFails(data) {
  return request({
    url: '/bidprocurement/datacenter-huanengwuzids/huanengwuzids-purchase/datacHuangzidsBiddingFailHnController/pushBiddingFails',
    method: 'post',
    data
  })
}
